DocumentResourceImpl Resource

This resource provides endpoints for read and write operations on documents.

POST /documents

This method stores a new document with the given data in the backend.

Request Parameters
name type description default constraints
Authorization header Authorization header    
X-ECM-LicenseToken header The license token received in the previous response    
X-ECM-LicenseType header The license-type to be used.    
X-ECM-Tenant header The tenant to logon to.    
verify query false required
Request Body
media type data type description
multipart/form-data object the properties of the new document
Response Body
media type data type description
application/json DocumentStoreInformationType (JSON) the document reference and revision reference of the newly created document
application/xml documentStoreInformationType (XML)

Example

Request
POST /documents
Content-Type: multipart/form-data
Accept: application/json
Authorization: ...
X-ECM-LicenseToken: ...
X-ECM-LicenseType: ...
X-ECM-Tenant: ...

                
...
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
{
  "documentReference" : {
    "ddcName" : "...",
    "sysRowId" : "..."
  },
  "revisionReference" : {
    "hdoc" : "..."
  }
}
                
              

GET /documents/{documentId}

This method loads the complete document including metadata and content.

Request Parameters
name type description
Authorization header Authorization header
X-ECM-LicenseToken header The license token received in the previous response
X-ECM-LicenseType header The license-type to be used.
X-ECM-Tenant header The tenant to logon to.
documentId path The reference to the document to load
Response Body
media type data type description
multipart/form-data object An instanceof DocumentRevisionType

Example

Request
GET /documents/{documentId}
Content-Type: application/json
Accept: multipart/form-data
Authorization: ...
X-ECM-LicenseToken: ...
X-ECM-LicenseType: ...
X-ECM-Tenant: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: multipart/form-data

                
...
                
              

GET /documents/{documentId}

This method returns the metadata (index and structure) of the referenced document.

Request Parameters
name type description
Authorization header Authorization header
X-ECM-LicenseToken header The license token received in the previous response
X-ECM-LicenseType header The license-type to be used.
X-ECM-Tenant header The tenant to logon to.
documentId path the reference to the document to load
Response Body
media type data type description
application/json DocumentRevisionType (JSON) An instanceof DocumentRevisionType
application/xml documentRevisionType (XML)

Example

Request
GET /documents/{documentId}
Content-Type: application/json
Accept: application/json
Authorization: ...
X-ECM-LicenseToken: ...
X-ECM-LicenseType: ...
X-ECM-Tenant: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "contentMetaData" : {
    "storageSize" : 12345,
    "fileNames" : [ {
      "path" : "...",
      "usableSpace" : 12345,
      "freeSpace" : 12345,
      "directory" : true,
      "canonicalPath" : "...",
      "parentFile" : { },
      "totalSpace" : 12345,
      "name" : "...",
      "absolutePath" : "...",
      "absolute" : true,
      "absoluteFile" : { },
      "hidden" : true,
      "file" : true,
      "canonicalFile" : { },
      "parent" : "..."
    }, {
      "path" : "...",
      "usableSpace" : 12345,
      "freeSpace" : 12345,
      "directory" : true,
      "canonicalPath" : "...",
      "parentFile" : { },
      "totalSpace" : 12345,
      "name" : "...",
      "absolutePath" : "...",
      "absolute" : true,
      "absoluteFile" : { },
      "hidden" : true,
      "file" : true,
      "canonicalFile" : { },
      "parent" : "..."
    } ],
    "hashes" : [ {
      "hash" : "...",
      "algorithmName" : "..."
    }, {
      "hash" : "...",
      "algorithmName" : "..."
    } ],
    "contentSize" : 12345,
    "compressedSize" : 12345
  },
  "archiveReference" : {
    "contentType" : "DOCUMENT",
    "name" : "..."
  },
  "retentionDescription" : {
    "dispositionTime" : 12345,
    "retentionTime" : 12345,
    "litigationHold" : true
  },
  "indexData" : {
    "property1" : {
      "propertyValue" : { },
      "type" : "BOOLEAN",
      "memberType" : "BINARY"
    },
    "property2" : {
      "propertyValue" : { },
      "type" : "LOOKUPLIST",
      "memberType" : "DATETIME"
    }
  },
  "modificationMetaData" : {
    "creationDate" : 12345,
    "creationUser" : {
      "type" : "USER",
      "deleted" : true,
      "name" : "...",
      "reference" : { }
    },
    "lastModificationUser" : {
      "type" : "USER",
      "deleted" : true,
      "name" : "...",
      "reference" : { }
    },
    "lastModificationDate" : 12345
  },
  "documentId" : {
    "ddcName" : "...",
    "sysRowId" : "..."
  },
  "previousRevisionId" : {
    "hdoc" : "..."
  },
  "revisionTag" : "...",
  "documentElement" : {
    "nodeType" : "CONTENT",
    "children" : [ { }, { } ],
    "variables" : {
      "property1" : "...",
      "property2" : "..."
    },
    "creationDate" : 12345,
    "reference" : { }
  },
  "reference" : { }
}
                
              

DELETE /documents/revisions/{revisionId}

This method deletes the document referenced to by the given reference. The reference must reference the latest revision, otherwise a com.lexmark.saperion.exceptions.runtime.ConcurrentWriteException is thrown.

Request Parameters
name type description
Authorization header Authorization header
X-ECM-LicenseToken header The license token received in the previous response
X-ECM-LicenseType header The license-type to be used.
X-ECM-Tenant header The tenant to logon to.
revisionId path a reference to the document revision to delete
Response Body
media type data type description
application/json DocumentRevisionType (JSON)
application/xml documentRevisionType (XML)

Example

Request
DELETE /documents/revisions/{revisionId}
Content-Type: application/json
Accept: application/json
Authorization: ...
X-ECM-LicenseToken: ...
X-ECM-LicenseType: ...
X-ECM-Tenant: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
{
  "contentMetaData" : {
    "storageSize" : 12345,
    "fileNames" : [ {
      "path" : "...",
      "usableSpace" : 12345,
      "freeSpace" : 12345,
      "directory" : true,
      "canonicalPath" : "...",
      "parentFile" : { },
      "totalSpace" : 12345,
      "name" : "...",
      "absolutePath" : "...",
      "absolute" : true,
      "absoluteFile" : { },
      "hidden" : true,
      "file" : true,
      "canonicalFile" : { },
      "parent" : "..."
    }, {
      "path" : "...",
      "usableSpace" : 12345,
      "freeSpace" : 12345,
      "directory" : true,
      "canonicalPath" : "...",
      "parentFile" : { },
      "totalSpace" : 12345,
      "name" : "...",
      "absolutePath" : "...",
      "absolute" : true,
      "absoluteFile" : { },
      "hidden" : true,
      "file" : true,
      "canonicalFile" : { },
      "parent" : "..."
    } ],
    "hashes" : [ {
      "hash" : "...",
      "algorithmName" : "..."
    }, {
      "hash" : "...",
      "algorithmName" : "..."
    } ],
    "contentSize" : 12345,
    "compressedSize" : 12345
  },
  "archiveReference" : {
    "contentType" : "FOLDER",
    "name" : "..."
  },
  "retentionDescription" : {
    "dispositionTime" : 12345,
    "retentionTime" : 12345,
    "litigationHold" : true
  },
  "indexData" : {
    "property1" : {
      "propertyValue" : { },
      "type" : "INTEGER",
      "memberType" : "TIME"
    },
    "property2" : {
      "propertyValue" : { },
      "type" : "COUNTER",
      "memberType" : "DATE"
    }
  },
  "modificationMetaData" : {
    "creationDate" : 12345,
    "creationUser" : {
      "type" : "GROUP",
      "deleted" : true,
      "name" : "...",
      "reference" : { }
    },
    "lastModificationUser" : {
      "type" : "GROUP",
      "deleted" : true,
      "name" : "...",
      "reference" : { }
    },
    "lastModificationDate" : 12345
  },
  "documentId" : {
    "ddcName" : "...",
    "sysRowId" : "..."
  },
  "previousRevisionId" : {
    "hdoc" : "..."
  },
  "revisionTag" : "...",
  "documentElement" : {
    "nodeType" : "STRUCTURE",
    "children" : [ { }, { } ],
    "variables" : {
      "property1" : "...",
      "property2" : "..."
    },
    "creationDate" : 12345,
    "reference" : { }
  },
  "reference" : { }
}
                
              

GET /documents/revisions/{revisionId}

This method loads the metadata of the specified revision.

Request Parameters
name type description
Authorization header Authorization header
X-ECM-LicenseToken header The license token received in the previous response
X-ECM-LicenseType header The license-type to be used.
X-ECM-Tenant header The tenant to logon to.
revisionId path the id of the revision to load
Response Body
media type data type description
application/json DocumentRevisionType (JSON) metadata of the revision
application/xml documentRevisionType (XML)

Example

Request
GET /documents/revisions/{revisionId}
Content-Type: application/json
Accept: application/json
Authorization: ...
X-ECM-LicenseToken: ...
X-ECM-LicenseType: ...
X-ECM-Tenant: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "contentMetaData" : {
    "storageSize" : 12345,
    "fileNames" : [ {
      "path" : "...",
      "usableSpace" : 12345,
      "freeSpace" : 12345,
      "directory" : true,
      "canonicalPath" : "...",
      "parentFile" : { },
      "totalSpace" : 12345,
      "name" : "...",
      "absolutePath" : "...",
      "absolute" : true,
      "absoluteFile" : { },
      "hidden" : true,
      "file" : true,
      "canonicalFile" : { },
      "parent" : "..."
    }, {
      "path" : "...",
      "usableSpace" : 12345,
      "freeSpace" : 12345,
      "directory" : true,
      "canonicalPath" : "...",
      "parentFile" : { },
      "totalSpace" : 12345,
      "name" : "...",
      "absolutePath" : "...",
      "absolute" : true,
      "absoluteFile" : { },
      "hidden" : true,
      "file" : true,
      "canonicalFile" : { },
      "parent" : "..."
    } ],
    "hashes" : [ {
      "hash" : "...",
      "algorithmName" : "..."
    }, {
      "hash" : "...",
      "algorithmName" : "..."
    } ],
    "contentSize" : 12345,
    "compressedSize" : 12345
  },
  "archiveReference" : {
    "contentType" : "FOLDER",
    "name" : "..."
  },
  "retentionDescription" : {
    "dispositionTime" : 12345,
    "retentionTime" : 12345,
    "litigationHold" : true
  },
  "indexData" : {
    "property1" : {
      "propertyValue" : { },
      "type" : "DATETIME",
      "memberType" : "BINARY"
    },
    "property2" : {
      "propertyValue" : { },
      "type" : "DATETIME",
      "memberType" : "BINARY"
    }
  },
  "modificationMetaData" : {
    "creationDate" : 12345,
    "creationUser" : {
      "type" : "GROUP",
      "deleted" : true,
      "name" : "...",
      "reference" : { }
    },
    "lastModificationUser" : {
      "type" : "USER",
      "deleted" : true,
      "name" : "...",
      "reference" : { }
    },
    "lastModificationDate" : 12345
  },
  "documentId" : {
    "ddcName" : "...",
    "sysRowId" : "..."
  },
  "previousRevisionId" : {
    "hdoc" : "..."
  },
  "revisionTag" : "...",
  "documentElement" : {
    "nodeType" : "CONTENT",
    "children" : [ { }, { } ],
    "variables" : {
      "property1" : "...",
      "property2" : "..."
    },
    "creationDate" : 12345,
    "reference" : { }
  },
  "reference" : { }
}
                
              

GET /documents/revisions/{revisionId}

This method loads the revision with the specified id including the content.

Request Parameters
name type description
Authorization header Authorization header
X-ECM-LicenseToken header The license token received in the previous response
X-ECM-LicenseType header The license-type to be used.
X-ECM-Tenant header The tenant to logon to.
revisionId path the revision to load
Response Body
media type data type description
multipart/form-data object the revision with content

Example

Request
GET /documents/revisions/{revisionId}
Content-Type: application/json
Accept: multipart/form-data
Authorization: ...
X-ECM-LicenseToken: ...
X-ECM-LicenseType: ...
X-ECM-Tenant: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: multipart/form-data

                
...
                
              

PUT /documents/revisions/{revisionId}

This method updates a document given by its revision reference with the given data.

Request Parameters
name type description default constraints
Authorization header Authorization header    
X-ECM-LicenseToken header The license token received in the previous response    
X-ECM-LicenseType header The license-type to be used.    
X-ECM-Tenant header The tenant to logon to.    
revisionId path a reference to the latest revision of the document    
verify query false required
Request Body
media type data type description
multipart/form-data object the properties to update
Response Body
media type data type description
application/json DocumentStoreInformationType (JSON) store information of the new revision
application/xml documentStoreInformationType (XML)

Example

Request
PUT /documents/revisions/{revisionId}
Content-Type: multipart/form-data
Accept: application/json
Authorization: ...
X-ECM-LicenseToken: ...
X-ECM-LicenseType: ...
X-ECM-Tenant: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
{
  "documentReference" : {
    "ddcName" : "...",
    "sysRowId" : "..."
  },
  "revisionReference" : {
    "hdoc" : "..."
  }
}
                
              

GET /documents/{documentId}/acls

This method returns the ACLs set on the current revision of the specified document.

Request Parameters
name type description
Authorization header Authorization header
X-ECM-LicenseToken header The license token received in the previous response
X-ECM-LicenseType header The license-type to be used.
X-ECM-Tenant header The tenant to logon to.
documentId path the document to load the ACLs for
Response Body
media type data type description
application/json array of AclReferenceType (JSON) a list of ACLs set on the document
application/xml list of aclReferenceType (XML)

Example

Request
GET /documents/{documentId}/acls
Content-Type: application/json
Accept: application/json
Authorization: ...
X-ECM-LicenseToken: ...
X-ECM-LicenseType: ...
X-ECM-Tenant: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
[ {
  "name" : "...",
  "id" : 12345
} ]
                
              

DELETE /documents/{documentId}/lock

This method unlocks a document. Only the user owning the lock or an administrator are allowed to remove a lock.

Request Parameters
name type description
Authorization header Authorization header
X-ECM-LicenseToken header The license token received in the previous response
X-ECM-LicenseType header The license-type to be used.
X-ECM-Tenant header The tenant to logon to.
documentId path the reference to the document to unlock

Example

Request
DELETE /documents/{documentId}/lock
Content-Type: application/json
Authorization: ...
X-ECM-LicenseToken: ...
X-ECM-LicenseType: ...
X-ECM-Tenant: ...

                
...
                
              
Response
HTTP/1.1 204 No Content

              

POST /documents/{documentId}/lock

This method locks a document for the current user..

Request Parameters
name type description
Authorization header Authorization header
X-ECM-LicenseToken header The license token received in the previous response
X-ECM-LicenseType header The license-type to be used.
X-ECM-Tenant header The tenant to logon to.
documentId path the reference to the document to lock

Example

Request
POST /documents/{documentId}/lock
Content-Type: application/json
Authorization: ...
X-ECM-LicenseToken: ...
X-ECM-LicenseType: ...
X-ECM-Tenant: ...

                
...
                
              
Response
HTTP/1.1 201 Created

              

GET /archive/documents/{archiveId}/content

This method performs a search with the specified query and paging.

Request Parameters
name type description default constraints
Authorization header Authorization header    
X-ECM-LicenseToken header The license token received in the previous response    
X-ECM-LicenseType header The license-type to be used.    
X-ECM-Tenant header The tenant to logon to.    
archiveId path a reference to the definition to search in    
page query paging information    
query query search statement in SOQL    
recycleBinAware query true boolean
revisionAware query if set to true, will ignore the documents with SYSINDEXSTATE=55001 true boolean
Response Body
media type data type description
application/json SearchResultPageOfObject (JSON) paged search result
application/xml searchResultPage (XML)

Example

Request
GET /archive/documents/{archiveId}/content
Content-Type: application/json
Accept: application/json
Authorization: ...
X-ECM-LicenseToken: ...
X-ECM-LicenseType: ...
X-ECM-Tenant: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "pageDefinition" : {
    "offset" : 12345,
    "pageSize" : 12345
  },
  "items" : [ { }, { } ],
  "hasMoreItems" : true
}
                
              

DELETE /documents/revisions/{revisionId}/all

Request Parameters
name type description
Authorization header Authorization header
X-ECM-LicenseToken header The license token received in the previous response
X-ECM-LicenseType header The license-type to be used.
X-ECM-Tenant header The tenant to logon to.
revisionId path

Example

Request
DELETE /documents/revisions/{revisionId}/all
Content-Type: application/json
Authorization: ...
X-ECM-LicenseToken: ...
X-ECM-LicenseType: ...
X-ECM-Tenant: ...

                
...
                
              
Response
HTTP/1.1 204 No Content

              

GET /documents/revisions/{revisionId}/index

This method loads the index data of the specified revision.

Request Parameters
name type description
Authorization header Authorization header
X-ECM-LicenseToken header The license token received in the previous response
X-ECM-LicenseType header The license-type to be used.
X-ECM-Tenant header The tenant to logon to.
revisionId path the id of the revision
Response Body
media type data type description
application/json map of PropertyType (JSON) the index data of the revision
application/xml (custom) (XML)

Example

Request
GET /documents/revisions/{revisionId}/index
Content-Type: application/json
Accept: application/json
Authorization: ...
X-ECM-LicenseToken: ...
X-ECM-LicenseType: ...
X-ECM-Tenant: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "..." : {
    "propertyValue" : { },
    "type" : "BOOLEAN",
    "memberType" : "STRING"
  }
}
                
              

DELETE /documents/revisions/{revisionId}/element/{elementId}

This method deletes the document element given by its reference and a reference to the latest revision of the element it resides in. The element does not need to be the root element of the given document revision. However, it must be an descendant of its root element.

Request Parameters
name type description
Authorization header Authorization header
X-ECM-LicenseToken header The license token received in the previous response
X-ECM-LicenseType header The license-type to be used.
X-ECM-Tenant header The tenant to logon to.
elementId path a reference to the element to delete
revisionId path a reference to the revision the element resides in
Response Body
media type data type description
application/json DocumentStoreInformationType (JSON) a store information for the new revision of the document the element resided in
application/xml documentStoreInformationType (XML)

Example

Request
DELETE /documents/revisions/{revisionId}/element/{elementId}
Content-Type: application/json
Accept: application/json
Authorization: ...
X-ECM-LicenseToken: ...
X-ECM-LicenseType: ...
X-ECM-Tenant: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
{
  "documentReference" : {
    "ddcName" : "...",
    "sysRowId" : "..."
  },
  "revisionReference" : {
    "hdoc" : "..."
  }
}
                
              

GET /documents/revisions/{revisionId}/element/{elementId}

Opens the content of the document element identified by the given id for reading and returns an input stream for that data. If the element is chunked the resulting stream will stream over all the chunks.

Request Parameters
name type description
Authorization header Authorization header
X-ECM-LicenseToken header The license token received in the previous response
X-ECM-LicenseType header The license-type to be used.
X-ECM-Tenant header The tenant to logon to.
elementId path the id of the document element to read from
revisionId path the id of the document the element to read belongs to
Response Body
media type data type description
application/octet-stream object an input stream for the content of the given document element

Example

Request
GET /documents/revisions/{revisionId}/element/{elementId}
Content-Type: application/json
Accept: application/octet-stream
Authorization: ...
X-ECM-LicenseToken: ...
X-ECM-LicenseType: ...
X-ECM-Tenant: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/octet-stream

                
...
                
              

PUT /documents/revisions/{revisionId}/element/{elementId}

This method replaces the document element given by its reference and a reference to the latest revision of the element it resides in. The element does not need to be the root element of the given document revision. However, it must be an descendant of its root element.

Request Parameters
name type description default constraints
Authorization header Authorization header    
X-ECM-LicenseToken header The license token received in the previous response    
X-ECM-LicenseType header The license-type to be used.    
X-ECM-Tenant header The tenant to logon to.    
elementId path a reference to the element to replace    
revisionId path a reference to the latest revision the element resides in    
verify query false required
Request Body
media type data type description
multipart/form-data object the data to replace the element with
Response Body
media type data type description
application/json DocumentElementStoreInformationType (JSON) the document, revision and element references of the new document element
application/xml documentElementStoreInformationType (XML)

Example

Request
PUT /documents/revisions/{revisionId}/element/{elementId}
Content-Type: multipart/form-data
Accept: application/json
Authorization: ...
X-ECM-LicenseToken: ...
X-ECM-LicenseType: ...
X-ECM-Tenant: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
{
  "revisionReference" : {
    "hdoc" : "..."
  },
  "elementReference" : {
    "hdoc" : "...",
    "memberIndexPath" : [ 12345, 12345 ]
  },
  "documentReference" : {
    "ddcName" : "...",
    "sysRowId" : "..."
  }
}
                
              

POST /documents/revisions/{revisionId}/fulltext/{fieldName}

This method writes full-text data to the specified field of the referenced document revision without creating a new revision of the document. The full-text data is written to the database only.

Request Parameters
name type description
Authorization header Authorization header
X-ECM-LicenseToken header The license token received in the previous response
X-ECM-LicenseType header The license-type to be used.
X-ECM-Tenant header The tenant to logon to.
fieldName path the name of the full-text field
revisionId path a reference to the document revision to add the data to
Request Body
media type data type description
text/plain;charset=UTF-8 object the data to write

Example

Request
POST /documents/revisions/{revisionId}/fulltext/{fieldName}
Content-Type: text/plain;charset=UTF-8
Authorization: ...
X-ECM-LicenseToken: ...
X-ECM-LicenseType: ...
X-ECM-Tenant: ...

                
...
                
              
Response
HTTP/1.1 201 Created

              

GET /documents/revisions/{revisionId}/index/{fieldName}

This method performs a search with the specified query and paging.

Request Parameters
name type description
Authorization header Authorization header
X-ECM-LicenseToken header The license token received in the previous response
X-ECM-LicenseType header The license-type to be used.
X-ECM-Tenant header The tenant to logon to.
fieldName path the multi value field to search in
revisionId path the document to search in
page query paging information
query query search statement in SOQL
Response Body
media type data type description
application/json SearchResultPageOfObject (JSON) paged search result
application/xml searchResultPage (XML)

Example

Request
GET /documents/revisions/{revisionId}/index/{fieldName}
Content-Type: application/json
Accept: application/json
Authorization: ...
X-ECM-LicenseToken: ...
X-ECM-LicenseType: ...
X-ECM-Tenant: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "pageDefinition" : {
    "offset" : 12345,
    "pageSize" : 12345
  },
  "items" : [ { }, { } ],
  "hasMoreItems" : true
}
                
              

POST /documents/revisions/{revisionId}/element/{elementId}/children

This method appends a child element to the document element given by its id and the id of the document the element resides in. The element does not need to be the root element of the given document revision. However, it must be an descendant of its root element. Also it must be of the type STRUCTURE.

Request Parameters
name type description
Authorization header Authorization header
X-ECM-LicenseToken header The license token received in the previous response
X-ECM-LicenseType header The license-type to be used.
X-ECM-Tenant header The tenant to logon to.
elementId path a reference to the structure element to add a child to
revisionId path a reference to the document revision the element resides in
Request Body
media type data type description
multipart/form-data object the data of the child to add
Response Body
media type data type description
application/json DocumentElementStoreInformationType (JSON) the document, revision and element references of the new document element
application/xml documentElementStoreInformationType (XML)

Example

Request
POST /documents/revisions/{revisionId}/element/{elementId}/children
Content-Type: multipart/form-data
Accept: application/json
Authorization: ...
X-ECM-LicenseToken: ...
X-ECM-LicenseType: ...
X-ECM-Tenant: ...

                
...
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
{
  "revisionReference" : {
    "hdoc" : "..."
  },
  "elementReference" : {
    "hdoc" : "...",
    "memberIndexPath" : [ 12345, 12345 ]
  },
  "documentReference" : {
    "ddcName" : "...",
    "sysRowId" : "..."
  }
}
                
              

GET /documents/revisions/{revisionId}/element/{elementId}/renditions/{type}

Render the content of given element of the given document to the target format and return as InputStream

Request Parameters
name type description constraints
Authorization header Authorization header  
X-ECM-LicenseToken header The license token received in the previous response  
X-ECM-LicenseType header The license-type to be used.  
X-ECM-Tenant header The tenant to logon to.  
elementId path the id of the document element to read from  
revisionId path the id of the document the element belong to  
type path The target type "pdf" or "png"
Response Body
media type data type description
application/octet-stream object an input stream of the targeted format

Example

Request
GET /documents/revisions/{revisionId}/element/{elementId}/renditions/{type}
Content-Type: application/json
Accept: application/octet-stream
Authorization: ...
X-ECM-LicenseToken: ...
X-ECM-LicenseType: ...
X-ECM-Tenant: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/octet-stream

                
...